{% extends 'common/base.html' %}
{% load static %}
{% load main_tags %}


{% block title %}
    {{ customuser.username|title }}'s Profile
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <!-- Background and avatar -->
        <div class="row">
            <!-- Background -->
            <div class="col-md-12 p-0">
                {% if customuser.profile_bg_image %}
                    <div class="col-md-12" style="background:url('{{ customuser.profile_bg_image.url }}') no-repeat; background-size: 100%; height: 30rem; line-height: 100%"></div>
                {% else %}
                    <div class="col-md-12" style="background:url('{% static 'images/default_bg_profile.png' %}') no-repeat; background-size: 100%; height: 30rem; line-height: 100%"></div>
                {% endif %}
            </div>
            <!-- Avatar -->
            <div class=" col-md-12 text-center avatar_in_profile_page">
                {% if customuser.avatar %}
                    <img class="rounded-circle img-thumbnail avatar_size_limit_profile_page" src="{{ customuser.avatar.url }}">
                {% else %}
                    <img class="rounded-circle img-thumbnail avatar_size_limit_profile_page" src="{% static 'images/default_avatar.png' %}">
                {% endif %}
            </div>
        </div>
        <!-- Name occupation(status), about user -->
        <div class="row">
            <div class="col-md-12">
                <!-- Name  -->
                <h1 class="font-weight-bold text-center">{{ customuser.username|title }} {{ customuser.last_name|title }}</h1>
                <h5 class="text-center">{{ customuser.status_user }}</h5>
                <!-- About user  -->
                <div class="mt-4">
                    <h6 class="text-center font-weight-normal pl-5 pr-5">{{ customuser.about_user }}</h6>
                </div>
            </div>
        </div>
        <!-- Profile edit -->
        {% if user.is_authenticated and user.pk == customuser.pk %}
            <div class="row">
                <div class="col-md-12 text-center">
                    {{ object.exceptions }}
                    <a href="{{ user.get_update_url }}" class="btn btn-primary btn-md active mt-2 mb-3">Edit your profile</a>
                </div>
            </div>
        {% endif %}
        <!-- Friendship add -->
        {% if user.is_authenticated and user.pk != customuser.pk %}
            <!-- Friendship buttons -->
            <div class="row">
                <!-- Add to friends btn -->
                {% if user|filter_add_to_friends_from_user_profile:customuser %}
                    <div class="col-md-12 text-center">
                        <button type="submit" class="friends_btn btn active btn-primary"
                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ customuser.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ customuser.id }}').attr('data-user_action','friendship_request'))">
                            +Add to Friends
                        </button>
                    </div>
                {% endif %}
                <!-- Cancel friends request btn -->
                {% if user|filter_cancel_friends_request_from_user_profile:customuser %}
                    <div class="col-md-12 text-center">
                        <button type="submit" class="friends_btn btn active btn-light"
                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ customuser.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ customuser.id }}').attr('data-user_action','friendship_request_cancel'))">
                            Cancel Friend Request
                        </button>
                    </div>
                {% endif %}
                <!-- Accept Friendship Offer btn -->
                {% if user|accept_friendship_offer_from_user_profile:customuser %}
                    <div class="col-md-12 text-center">
                        <button type="submit" class="friends_btn btn active btn-outline-success"
                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ customuser.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ customuser.id }}').attr('data-user_action','friendship_confirmation'))">
                            Accept Friendship Offer
                        </button>
                    </div>
                {% endif %}
                <!-- Stop friendship btn -->
                {% if user|stop_friendship_from_user_profile:customuser %}
                    <div class="col-md-12 text-center">
                        <button type="submit" class="friends_btn btn active btn-info"
                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ customuser.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ customuser.id }}').attr('data-user_action','break_friendship'))">
                            Your Friend
                        </button>
                    </div>
                {% endif %}
            </div>
        {% endif %}
        <!-- Main content -->
        <div class="row justify-content-center">
            <div class="col-md-3">
                <!-- Friends card -->
                <div class="card margin_top_default margin_bottom_default">
                    <div class="card-body">
                        <h5 class="card-title">
                            {% if user.is_authenticated and user.pk == customuser.pk %}
                                My Friends
                            {% else %}
                                {{ customuser.username| title }}'s Friends
                            {% endif %}
                        </h5>
                        <div class="mt-1 reload_friends">
                            {% for friend in customuser.friends.all %}
                                <div class="friends_row">
                                    <hr>
                                    {% if friend.avatar %}
                                        <img class="rounded-circle avatar_in_post_card" src="{{ friend.avatar.url }}">
                                    {% else %}
                                        <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                                    {% endif %}
                                    <a class="ml-1 font-weight-bold" href="{{ friend.get_absolute_url }}">{{ friend|title }} {{ friend.last_name|title }}</a>
                                    {% if user.pk == customuser.pk %}
                                        <button type="submit" class="friends_btn delete_friend_independent btn btn-danger"
                                                onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ friend.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ friend.id }}').attr('data-user_action','break_friendship'))">
                                            Delete
                                        </button>
                                    {% endif%}
                                </div>
                            {% endfor %}
                        </div>
                        <div class="mt-4">
                            <a href="#" class="card-link" data-toggle="modal" data-target="#frienfdsleModal">MORE...</a>
                        </div>
                        <!-- Modal -->
                        <div class="modal fade" id="frienfdsleModal" tabindex="-1" role="dialog" aria-labelledby="#frienfdsleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="#frienfdsleModalLabel">My Friends</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                    <div class="friends_row_modal">
                                        <!-- Friend's avatar icon and username-->
                                        {% for friend in customuser.friends.all %}
                                            <div class="reload_friends_modal">
                                                <hr>
                                                {% if friend.avatar %}
                                                    <img class="rounded-circle avatar_in_post_card" src="{{ friend.avatar.url }}">
                                                {% else %}
                                                    <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                                                {% endif %}
                                                <a class="ml-1 font-weight-bold" href="{{ friend.get_absolute_url }}">{{ friend|title }} {{ friend.last_name|title }}</a>
                                                {% if user.is_authenticated and user.pk == customuser.pk %}
                                                    <button type="submit" class="friends_btn delete_friend_independent_modal btn btn btn-danger"
                                                            onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ friend.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ friend.id }}').attr('data-user_action','break_friendship'))">
                                                        Delete
                                                    </button>
                                                {% endif %}
                                            </div>
                                        {% endfor %}
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--  Friendship offers card -->
                {% if user.is_authenticated and user.pk == customuser.pk %}
                    <div class="card margin_top_default margin_bottom_default">
                        <div class="card-body">
                            <h5 class="card-title">My Friendship Offers</h5>
                            <div class="mt-1 card_scrollable">
                                <!-- Friend's avatar icon and username-->
                                {% for friendship_offer in user.friendship_offers.all %}
                                    <div class="friendship_offers_row">
                                        <hr>
                                        {% if friendship_offer.avatar %}
                                            <img class="rounded-circle avatar_in_post_card" src="{{ friendship_offer.avatar.url }}">
                                        {% else %}
                                            <img class="rounded-circle avatar_in_post_card" src="{% static 'images/default_avatar.png' %}">
                                        {% endif %}
                                        <a class="ml-1 font-weight-bold" href="{{ friendship_offer.get_absolute_url }}">{{ friendship_offer|title }} {{ friendship_offer.last_name|title }}</a>
                                        <div class="row">
                                            <div class="col-md-12 mt-2">
                                                <button type="submit" class="friends_btn delete_friend_independent btn btn-danger"
                                                        onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ friendship_offer_absolute_url }}').attr('data-friendship_request_recipient_id','{{ friendship_offer.id }}').attr('data-user_action','reject_friendship_offer'))">
                                                    Not to be Friends
                                                </button>
                                                <button type="submit" class="friends_btn add_friend_independent btn active btn-outline-success"
                                                        onclick="($('.friends_btn').attr('data-friendship_request_recipient_profile_url','{{ friendship_offer.get_absolute_url }}').attr('data-friendship_request_recipient_id','{{ friendship_offer.id }}').attr('data-user_action','friendship_confirmation'))">
                                                    Accept
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                {% endif %}
                <!-- Interests card -->
                <div class="card margin_top_default margin_bottom_default">
                    <div class="card-body">
                        <h5 class="card-title">
                        {% if user.is_authenticated and user.pk == customuser.pk %}
                            My Interests
                            {% else %}
                            {{ customuser.username| title }}'s Interests
                        {% endif %}
                        </h5>
                        <!-- Interest (btn and edit modal) -->
                        <div class="mt-1">
                        {% for interest in customuser.user_interests.all %}
                            <a href="{{ interest.get_absolute_url }}" class="btn btn-primary">{{ interest.title }}</a>
                        {% endfor %}
                        </div>
                        <!-- Modal Interests -->
                        <div class="modal fade" id="interestingModal" tabindex="-1" role="dialog" aria-labelledby="interestingModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="interestingModalLabel">My Interests</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <hr class="text-left">
                                        {% for interest in customuser.user_interests.all %}
                                            <a href="{{ interest.get_absolute_url }}" class="btn btn-primary">{{ interest.title }}</a>
                                        {% endfor %}
                                        <hr>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <p class="mt-2"></p>
                        <a href="#" class="card-link" data-toggle="modal" data-target="#interestingModal">MORE...</a>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class=" margin_top_default margin_bottom_default">
                    <!-- Posts -->
                    {% for post in posts %}
                        {% include 'common/includes/post_card.html' %}
                    {% endfor %}
                    <!-- Modal - confirmation to delete a post  -->
                    <div class="modal_post_delete_confirmation modal fade text-center" tabindex="-1" role="dialog" aria-labelledby="postModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-body">
                                    <h5 class="text-center mt-1 mb-4"><b>Are you sure you want to delete this post?</b></h5>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                    <button type="submit" name="button" class="delete_post_confirmation_btn btn btn-danger" data-dismiss="modal">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal - confirmation to delete a comment  -->
                    <div class="modal_comment_delete_confirmation modal fade text-center" tabindex="-1" role="dialog" aria-labelledby="commentModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-body">
                                    <h5 class="text-center mt-1 mb-4"><b>Are you sure you want to delete this comment?</b></h5>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                    <button type="submit" name="button" class="delete_comment_confirmation_btn btn btn-danger" data-dismiss="modal">Delete</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}